# Get Member List - DescribeMemberList

## Overview

Retrieve member list, for main account use only.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeMemberList`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID, please refer to the [GetProjectList interface](api/summary/get_project_list). If not filled in, all projects will be queried. |No|
| **Offset** | string | Offset of the member list, default is 0 |No|
| **Limit** | string | The maximum number of members in the list, default is 200 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **MemberSet** | array[[*MemberInfo*](#memberinfo)] | Instance list of members in JSON format |**Yes**|
| **TotalCount** | int | Total Number of Members |**Yes**|

#### Data Model


#### MemberInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **MemberEmail** | string | Member Email |**Yes**|
| **MemberPhone** | string | Member Mobile |**Yes**|
| **MemberName** | string | Member Name |**Yes**|
| **MemberPosition** | string | Member Address |**Yes**|
| **MemberQQ** | string | Member QQ |**Yes**|
| **PublicKey** | string | Public Key |**Yes**|
| **LastRegionId** | string | Last visited data center |**Yes**|
| **DefultProjectId** | string | Default Project |**Yes**|
| **LastLogin** | int | Last Login Time |**Yes**|
| **Created** | int | Creation Time |**Yes**|
| **State** | string | Status |**Yes**|
| **IsAdmin** | int | Is it the main account? (0: Sub-account, 1: Main account) |**Yes**|
| **IsFinance** | int | Does it have financial permissions? (0: No financial permissions, 1: Has financial permissions) |**Yes**|
| **ProjectSet** | array[[*ProjectInfo*](#projectinfo)] | Project List |**Yes**|
| **ActivateFlag** | int | Activation Status (0: Not Activated, 1: Activated) |**Yes**|
| **PasswordPolicyDate** | int | Password security policy activation time, format: unix timestamp |**Yes**|
| **TOTPStatus** | int | TOTP Status (0: Not Enabled, 1: Enabled) |**Yes**|

#### ProjectInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID, please refer to the [GetProjectList interface](api/summary/get_project_list) |**Yes**|
| **ProjectName** | string | Project Name |**Yes**|
| **CharacterId** | string | Role ID |**Yes**|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=DescribeMemberList
&ProjectId=gVhmRqSF
&Offset=0
&Limit=10
```

### Response Example
    
```json
{
  "Action": "DescribeMemberListResponse",
  "MemberSet": [
    {
      "ActivateFlag": 1,
      "Created": 1524125597,
      "DefultProjectId": "bjwoig",
      "IsAdmin": 1,
      "IsFinance": 0,
      "LastLogin": 0,
      "LastRegionId": "cn-east-04",
      "MemberEmail": "test1@ucloud.cn",
      "MemberName": "LGwo4hy",
      "MemberPhone": "(86)12345678901",
      "MemberPosition": "lBHo2",
      "MemberQQ": "BHow3",
      "PasswordPolicyDate": 0,
      "ProjectSet": [
        {
          "CharacterId": "Lbhi2bw",
          "ProjectId": "fzzfcBg1",
          "ProjectName": "gejaE45"
        }
      ],
      "PublicKey": "BLihwFHoiyo24ihyLIBHFOIWRgho24yosihdlh+=",
      "State": "Normal",
      "TOTPStatus": 0
    },
    {
      "ActivateFlag": 1,
      "Created": 1524125597,
      "DefultProjectId": "Bliwhe",
      "IsAdmin": 1,
      "IsFinance": 0,
      "LastLogin": 0,
      "LastRegionId": "cn-east-03",
      "MemberEmail": "test2@ucloud.cn",
      "MemberName": "xnwo33y",
      "MemberPhone": "(86)12345678902",
      "MemberPosition": "LBho2",
      "MemberQQ": "BHJowf",
      "PasswordPolicyDate": 0,
      "ProjectSet": [
        {
          "CharacterId": "gwhoeigh",
          "ProjectId": "BHOWIlgho",
          "ProjectName": "woihgoBH"
        }
      ],
      "PublicKey": "xLihwFHoiyo114gyLBWOHFOIWRgho24yosi23dl42BSk",
      "State": "Normal",
      "TOTPStatus": 0
    }
  ],
  "RetCode": 0,
  "TotalCount": 2
}
```





